<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Firma\BayerischerApothekertag\Detailsreiter\Fotos;

class FotosUseCase extends \Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\Fotos\FotosUseCase
{
  private $apotag;

  public function __construct($request)
  {
    parent::__construct($request);
    $this->apotag = new \Kufer\Web\KuferTools\Teilnehmer\BayerischerApothekertag\Utils\Apothekertag();
  }

  public function getAllowedKursnummern()
  {
    return $this->apotag->getAlleIds();
  }

  public static function getToolId()
  {
    return 24;
  }

  public static function getToolSectionId()
  {
    return 338;
  }

  
  public function hasAccess($pToolSectionId = null)
  {
    if (!parent::hasAccess()) {
      return false;
    }
    if (!$this->isRechtAllowed('338.1.5')) {
      return false;
    }

    return true;
  }
}